Package org.kapott.hbci.sepa.jaxb.pain_002_003_03

## Class PaymentTypeInformationSEPA

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_003_03.PaymentTypeInformationSEPA

    public class PaymentTypeInformationSEPA
    extends java.lang.Object

Java class for PaymentTypeInformationSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentTypeInformationSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InstrPrty" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}Priority2Code" minOccurs="0"/>
             <element name="SvcLvl" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}ServiceLevelSEPA" minOccurs="0"/>
             <element name="LclInstrm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}LocalInstrumentSEPA" minOccurs="0"/>
             <element name="SeqTp" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}SequenceType1Code" minOccurs="0"/>
             <element name="CtgyPurp" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.003.03}CategoryPurposeSEPA" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CategoryPurposeSEPA` `ctgyPurp`
`protected Priority2Code` `instrPrty`
`protected LocalInstrumentSEPA` `lclInstrm`
`protected SequenceType1Code` `seqTp`
`protected ServiceLevelSEPA` `svcLvl`

### Constructor Summary

Constructors
`PaymentTypeInformationSEPA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CategoryPurposeSEPA` `getCtgyPurp()` Gets the value of the ctgyPurp property.
`Priority2Code` `getInstrPrty()` Gets the value of the instrPrty property.
`LocalInstrumentSEPA` `getLclInstrm()` Gets the value of the lclInstrm property.
`SequenceType1Code` `getSeqTp()` Gets the value of the seqTp property.
`ServiceLevelSEPA` `getSvcLvl()` Gets the value of the svcLvl property.
`void` `setCtgyPurp​(CategoryPurposeSEPA value)` Sets the value of the ctgyPurp property.
`void` `setInstrPrty​(Priority2Code value)` Sets the value of the instrPrty property.
`void` `setLclInstrm​(LocalInstrumentSEPA value)` Sets the value of the lclInstrm property.
`void` `setSeqTp​(SequenceType1Code value)` Sets the value of the seqTp property.
`void` `setSvcLvl​(ServiceLevelSEPA value)` Sets the value of the svcLvl property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instrPrty

    protected Priority2Code instrPrty

#### svcLvl

    protected ServiceLevelSEPA svcLvl

#### lclInstrm

    protected LocalInstrumentSEPA lclInstrm

#### seqTp

    protected SequenceType1Code seqTp

#### ctgyPurp

    protected CategoryPurposeSEPA ctgyPurp

### Constructor Detail

#### PaymentTypeInformationSEPA

    public PaymentTypeInformationSEPA()

### Method Detail

#### getInstrPrty

    public Priority2Code getInstrPrty()

Gets the value of the instrPrty property.

Returns:
  possible object is `Priority2Code`

#### setInstrPrty

    public void setInstrPrty​(Priority2Code value)

Sets the value of the instrPrty property.

Parameters:
  `value` - allowed object is `Priority2Code`

#### getSvcLvl

    public ServiceLevelSEPA getSvcLvl()

Gets the value of the svcLvl property.

Returns:
  possible object is `ServiceLevelSEPA`

#### setSvcLvl

    public void setSvcLvl​(ServiceLevelSEPA value)

Sets the value of the svcLvl property.

Parameters:
  `value` - allowed object is `ServiceLevelSEPA`

#### getLclInstrm

    public LocalInstrumentSEPA getLclInstrm()

Gets the value of the lclInstrm property.

Returns:
  possible object is `LocalInstrumentSEPA`

#### setLclInstrm

    public void setLclInstrm​(LocalInstrumentSEPA value)

Sets the value of the lclInstrm property.

Parameters:
  `value` - allowed object is `LocalInstrumentSEPA`

#### getSeqTp

    public SequenceType1Code getSeqTp()

Gets the value of the seqTp property.

Returns:
  possible object is `SequenceType1Code`

#### setSeqTp

    public void setSeqTp​(SequenceType1Code value)

Sets the value of the seqTp property.

Parameters:
  `value` - allowed object is `SequenceType1Code`

#### getCtgyPurp

    public CategoryPurposeSEPA getCtgyPurp()

Gets the value of the ctgyPurp property.

Returns:
  possible object is `CategoryPurposeSEPA`

#### setCtgyPurp

    public void setCtgyPurp​(CategoryPurposeSEPA value)

Sets the value of the ctgyPurp property.

Parameters:
  `value` - allowed object is `CategoryPurposeSEPA`